Foreman - Bug #24981

[Satellite 6.3] ansible_provisioning_callback snippet does not set executable permission for
'/root/ansible_provisioning_call.sh'

09/19/2018 01:59 PM - Marek Hulan

Status: Closed
Priority: Normal
Assignee: Marek Hulan
Category: Templates

Target version:

Difficulty: Fixed in Releases: 1.20.0
Triaged: No Found in Releases:

Bugzilla link: 1565903 Red Hat JIRA:

Pull request: https://github.com/theforeman/communit

y-templates/pull/516

Description
Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1565903

Description of problem:
[Satellite 6.3] 'ansible_provisioning_callback snippet' does not set executable permission for /root/ansible_provisioning_call.sh'’

Version-Release nhumber of selected component (if applicable):
Red Hat Satellite 6.3

How reproducible:

Always

Steps to Reproduce:
1. on GUI see the below in snippet "ansible_provisioning_callback":

<% else -%>

1. Assume systemd is not available
<%= save_to_file('/root/ansible_provisioning_call.sh', snippet(‘ansible_tower_callback_script')) >
(cronta At i isioni g
<end ->
< end -%>

"Dreboot lroot/ansible _provisioning

In above creating the "/root/ansible_provisioning_call.sh" but without executable permission due t
o which after reboot cron get run but without success.

Actual results:

File create without executable permission.
Expected results:

File should create with executable permission:

e.g. snippet

<% else -%>

1. Assume systemd is not available
<%= save_to_file('/root/ansible_provisioning_call.sh', snippet(‘ansible_tower_callback_script')) %>
(chmod +x /root/ansible_provisioning_call.sh;crontab
crontab—utroot————<====

Additional info:

Associated revisions

Revision dd466218 - 09/19/2018 02:39 PM - Marek Hulan

Fixes #24981 - set x bit on ansible callback

History

#1 - 09/19/2018 02:03 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Marek Hulan

- Pull request https://github.com/theforeman/community-templates/pull/516 added

#2 - 09/19/2018 03:02 PM - Marek Hulan
- Status changed from Ready For Testing to Closed

Applied in changeset community-templates|dd466218bd5ec86cad2adcce287cf8c45¢11c753.

#3 - 10/15/2018 09:05 AM - Tomer Brisker

- Subject changed from [Satellite 6.3] ansible_provisioning_callback snippet does not set executable permission for /root/ansible_provisioning_call.sh’
to [Satellite 6.3] ansible_provisioning_callback snippet does not set executable permission for /root/ansible_provisioning _call.sh’

- Category set to Templates

- Fixed in Releases 1.20.0 added
